SmartgridOne logo
SmartgridOne logo
Api
Delete a member relation DELETECollect member relations (replaced by POST /v1/role/{roleId}/member/query) GETCollect member relations POSTCreate or update a member relation PUTUpdate an existing member relation PUT
Member
POST
/v1/role/{roleId}/member/query

Authorization

accessBearerAuth
AuthorizationBearer <token>

In: header

Collect member relations (replaced by POST /v1/role/{roleId}/member/query) GET

Get all (or some of) the member relations which start from a role where the user has (either directly or indirectly) userManagement rights, and get those member relations involding the user itself. The POST /v1/role/{roleId}/member/query is a preferable alternative, which can better handle complex filters.

Create or update a member relation PUT

Create a member relation (or update the existing one) between a role and a user email<br><br> A user can only execute this action if he is a member of an authorizing role which satisfies one of the following conditions: <ul> <li> The authorizing role has *direct or indirect* userManagement rights for the role to which a member is added (or updated) </li> <li> The authorizing role has *indirect* roleManagement rights for the role to which a member is added (or updated) </li> <ul>

Path Parameters
roleId*|array<>|

Request Body

application/json

Some filters, each of which must be valid for all returned member relations

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.eniris.be/v1/role/0/member/query" \  -H "Content-Type: application/json" \  -d '{}'
{
  "member": [
    {
      "id": 0,
      "roleId": 0,
      "userEmail": "string"
    }
  ]
}
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "Missing or misformatted query parameter or body"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "Failed to verify token"
}

Get all (or some of) the member relations which start from a role where the user has (either directly or indirectly) userManagement rights, and get those member relations involding the user itself.

In the value field below, fill in the access token. It has a 10 minutes validity period. A valid token can be obtained via the /accesstoken endpoint (call), AFTER authorization with refreshBearerAuth and the refresh token.

filter?

Only return those member relations which match each of the specified filters